
ctools - Bug #2114

Missing *.i files in tarball release of ctools for python wrappers creation

05/18/2017 04:46 PM - Di Venere Leonardo

Status: Closed Start date: 05/18/2017

Priority: High Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.3.0   

Description

I downloaded the tarball of ctools source code using the command:

wget http://cta.irap.omp.eu/ctools/releases/ctools/ctools-1.3.0.dev1.tar.gz

The *.i files for python wrappers are not there. If I compile the code using the existing python wrappers, it works.

However, if I remove the wrappers (for example running make distclean), I get an error when compiling the wrappers.

These are the commands I execute:

./configure

make distclean

./configure

make

The second configure summary states that the python wrappers must be generated using swig, which is correctly found:

  ctools configuration summary

  ==============================

  * GammaLib support             (yes)

  * End user configuration       (yes)

  * Make Python binding          (yes)   use swig for building

  * Python                       (yes)

  * Python.h                     (yes)

  * swig                         (yes)

  - Python wrappers              (no)

  * Doxygen                      (yes)   /usr/bin/doxygen

  - Enable OpenMP                (no)

  - Compile in debug code        (no)    (default)

  - Enable code for profiling    (no)    (default)

This is the error I get when making the code:

Making all in pyext

make[2]: Entering directory `/home/divenere/Programs/ctools/ctools-1.3.0.dev1/pyext'

make[2]: *** No rule to make target `ctools/tools.i', needed by `../pyext/ctools/tools_wrap.cpp'.  Stop.

make[2]: Leaving directory `/home/divenere/Programs/ctools/ctools-1.3.0.dev1/pyext'

make[1]: *** [all-recursive] Error 1

make[1]: Leaving directory `/home/divenere/Programs/ctools/ctools-1.3.0.dev1'

make: *** [all] Error 2

04/28/2024 1/2



History

#1 - 05/18/2017 10:17 PM - Knödlseder Jürgen

- Assigned To set to Knödlseder Jürgen

- Priority changed from Normal to High

- Target version set to 1.3.0

I confirm, for some reason the .i files are not in the tarball. I will investigate that.

#2 - 05/23/2017 06:28 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- % Done changed from 0 to 90

There was a dist-hook missing in the pyext/Makefile.am so that the files get distributed into the tarball:

dist-hook:

    cp -r $(srcdir)/*.i $(distdir)

    cp -r $(srcdir)/ctools/*.i $(distdir)/ctools

I added this dist-hook. Still need to check whether the tarball is okay.

#3 - 05/23/2017 09:39 PM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

The missing SWIG interface files are now included in the tarball.
